<?php
  include_once '../header.php';      
  include_once("../php/config.php");
      $sql = mysql_query("select * from tasas  where moneda='GOURDE'") or die(mysql_error());
	  
	  $tasa_remesa = @mysql_result($sql,0,"venta");
	  $tasa_compra = @mysql_result($sql,0,"compra");
	  $tasa_venta = @mysql_result($sql,0,"venta");
	     $sql4 = mysql_query("select stock from productos where descripcion='".$_GET["n"]."'") or die(mysql_error());
   $balance = @mysql_result($sql4, 0, "stock");

   

?>

<div class="container" style="background:white; width:500px;">
<center>
<span style="font-size: 25px; font-weight:bolder" class="text-rojo">REMESA</span>

<style>
	.nav{
		<?php if($_COOKIE["nivel"]=="Digitador"){?>
		display:none;
		<?php }?>	
	}
</style>

<hr>

<div class="row">
		<input type="hidden" id="balance_anterior" value="<?= $balance?>">
         <div class="col-xs-2"><b>AGENTE</b></div>
         <div class="col-xs-6">
           <select class="form-control" id="cliente"  onChange="get_cliente(this.value)">

				<option value="" selected></option>
				<?php $sql3 = mysql_query("select * from clientes") or die(mysql_error());  ?>

				<?php while ($r3 = mysql_fetch_array($sql3)) { ?>
				  <option value="<?php echo $r3['nombre'] ?>"><?php echo $r3['nombre']." ".$r3["telefono"]."(".$r3["direccion"].")" ?></option>
				<?php } ?>
				</select>
				</div>
				<div class="col-xs-3"><a href="" onClick='limpiar()'><i class="bi bi-file"></i> Limpiar</a></div>
         <script>
          $(function(){
           /////alert(myUser);
           $('#cliente').select2();
            $('#cliente').val(localStorage.getItem("cliente")).trigger('change.select2');

          })
        </script>
        
  </div>
  <hr>

<div style="">
<img width="150" src="<?php echo $_GET['n'].'.png'?>" style="">
</div>

<hr>

<div class="row">
 <div class="col-xs-8"></div>
 <div class="col-xs-4">
 <b>TASA COMISION</b><br>
<input class="form-control" style="font-size:21px; color:red; font-weight:bolder" type="number" id="tasa_comision" onkeyUp="calc_comision()" value="5">
 </div>
</div>


<div class="row">



<div class="col-xs-4">
<b>MONTO</b><br>
<input class="form-control" style="font-size:21px; color:black; font-weight:bolder" type="number" id="monto" onkeyUp="calc_comision()">
</div>


<div class="col-xs-4">
<b>TASA</b><br>
<input value="<?php echo $tasa_remesa;?>"  class="form-control" onkeyUp="calc_comision()" style="font-size:21px; color:blue; font-weight:bolder" type="number" id="tasa">
</div>


<div class="col-xs-4">
<b>COMISION</b><br>
<input readonly class="form-control" style="font-size:21px; color:blue; font-weight:bolder" type="number" id="comision">
</div>

</div>

<center>
<span style="color:green; font-size:45px; font-weight:bolder;">TOTAL: <span id="total">0.00</span></span>
</center>

<hr>
<b>TOTAL A RECIBIR GOURDE</b><br>
<input style="font-size:21px; color:green; font-weight:bolder" type="number" id="recibir" readonly>
<br><br>
<hr>
<a href='#' id="btn_aceptar" onClick="confirmar()" class="btn btn-orange" ><i class="bi bi-check-circle" id="btnConfirmar"></i><b> ACEPTAR</b></a>



<b><a href='main.php' class="btn btn-rojo" ><i class="bi bi-chevron-double-left"></i><b> VOLVER ATRAS</b></a>
<hr> 
<a href="#" onClick="ultimas_recargas()"> Ver ultimas remesas</a> | <a href="#" onClick="get_ultimo()"> Reimprimir</a></b>

</center>.


<!---Modal conformar-->
<div class="modal" id="modalConfirmar" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> CONFIRME NUMERO DE TELEFONO</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-md-4">
           

          </div>

          <div class="col-md-12">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder" placeholder="Confirme el numero" type="number" id="numero2">
       
          </div>



        </div>

      </div>
      <div class="modal-footer">
        <a class="btn btn-verde" data-dismiss="modal" onclick="grabar()" id="btngrabar"> <i class="bi bi-check-circle"></i> Confirmar</a>
		<a class="btn btn-default" data-dismiss="modal"> <i class="bi bi-chevron-double-left"></i> Cancelar</a>
      </div>
    </div>
  </div>
</div>
 <input type="hidden" value="<?php echo $hoy?>" id="curFecha">

<div id="recibo1" style="display:none">

</div>
</div>

<script>


function calc_comision(){
var p_comision = 10;
var tasa_remesa = $("#tasa").val();
var monto = $("#monto").val();	
var tasa_comision = $("#tasa_comision").val();
var comision = monto * p_comision/100;
tasa_comision = monto * tasa_comision / 100;
var total = parseFloat(monto) + tasa_comision;///parseFloat(comision);

var recibir = monto * tasa_remesa

$("#recibir").val(recibir.toFixed(2)); 
////$("#comision").val(comision.toFixed(2)); 
$("#comision").val(tasa_comision); 
$("#total").html(total.toFixed(2)); 
}



function balanceAcliente(id){
				
   	var tasa_compra	= "<?php echo$tasa_compra?>";
	var tasa_venta	= "<?php echo$tasa_venta?>";
	var dif_tasa = tasa_compra - tasa_venta;
	
	
	
	
    var cliente = $("#cliente").val();
	var monto = $("#monto").val();
	var compania = "<?php echo $_GET['n']?>"
    
	var ganancia = monto * dif_tasa;
	
	if(comision_cliente<=0){
		comision_cliente = 5;
	}
	
	var beneficio_cliente = monto * comision_cliente / 100
    var montoGourde = $("#recibir").val()


	var comision = $("#comision").val()
	var comision0 = $("#comision").val()
	comision = comision  - beneficio_cliente
	 
	 var beneficio = parseFloat(ganancia) + parseFloat(comision);

	
	if(monto<=0 || monto==""){
		alert("Monto incorrecto");
		return;
	}
	
	monto = parseFloat(monto) + parseFloat(comision0)
	
	var param = "cliente="+cliente;
	    param+="&monto="+monto;
		param+="&desde='Dispositivo movil'";
		param+="&comision="+comision0;
		param+="&tasa_compra="+tasa_compra;
		param+="&tasa_venta="+tasa_venta;
		param+="&comision="+comision0;
		param+="&compania="+compania;
		param+="&montoGourde="+montoGourde;
		param+="&ganancia_cliente="+beneficio_cliente;
		param+="&id="+id;
		param+="&tipo='Recarga'";
		
		
	 $.get("balanceAcliente.php?"+param, function(data, st){
		 if(st=="success"){
			
			
				 movimiento_producto(id);
				
			
				////
			
		 }
	 })
}



function movimiento_producto(id){

	var tasa_venta = "<?php echo $tasa_venta?>";
    var producto = "<?php echo $_GET['n']?>";

    var costo = $("#monto").val()
   
     total  = $("#recibir").val()
    var cliente = $("#cliente").val()
    var balance_anterior = $("#balance_anterior").val()
    if(balance_anterior==""){balance_anterior = 0;}

    var balance_actual = parseFloat(balance_anterior) - parseFloat(total);

    
      if(costo==""){costo = 0;}
     if(total==""){total = 0;}
     

    var sql="";
    sql="insert into movimiento_producto set fecha=CURDATE(), hora=CURTIME(), balance_anterior='"+ balance_anterior +"', debito='"+ total +"', credito=0, operacion='Remesa', cliente='"+ cliente +"', usuario='"+ myUser+"', balance_actual='"+balance_actual+"', pesos='"+ costo +"', producto='"+producto+"'";


    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        ////$("#modalcobrador").modal('hide');

         imprimir(id)
       
  
      }else{
          msg(data);

      }
        $("#loading").modal('hide');
    })
}




function confirmar(){
	
	var monto = $("#monto").val()
	
	if(monto==""){monto=0;}
	if(monto<=0){alert("Monto invalido");return;}
	
	grabar();
	
	
}

  function grabar(){
	 

  var cliente = $("#cliente").val()

	 if(cliente==""){
		alert("Elija un agente");
		return;
	}
  if(!confirm("Seguro(a) que desea registrar esta recarga?")){return;}
  $("#btn_aceptar").hide()
   


     
     var monto = $("#monto").val();
    var tipo = "<?php echo $_GET['n']?>";

	$("#btngrabar").hide()
	$("#btnConfirmar").hide()

    var tasa_compra	= "<?php echo$tasa_compra?>";
	var tasa_venta	= "<?php echo$tasa_venta?>";
	var dif_tasa = tasa_compra - tasa_venta;
   
	
	var compania = "<?php echo $_GET['n']?>"
	var ganancia = monto * dif_tasa;
    
	var comision = $("#comision").val()
	var telefono = $("#telefono").val()
	var recibir = $("#recibir").val()
	if(comision_cliente<=0){
		comision_cliente = 5;
	}
	
	var beneficio_cliente = monto * comision_cliente / 100
    var montoGourde = $("#recibir").val()


	var comision = $("#comision").val()
	var comision0 = $("#comision").val()
	  var curFecha = $("#curFecha").val()
  var curHora = "<?php echo $hora?>"

	/////comision = comision - beneficio_cliente
	
	 
	
	
	

    var sql="";
       
            sql="INSERT INTO recargas set ";
            sql+=" fecha='"+curFecha+"'";
            sql+=", hora='"+curHora+"'";
            sql+=", telefono='Directo'";
						sql+=", monto='"+monto+"'";
						sql+=", compania='"+tipo+"'";
						sql+=", tipo='Remesa'";
						///sql+=", beneficio='"+ganancia+"'";
						sql+=", moneda='PESOS'";
						sql+=", comision_remesa='"+comision+"'";
						sql+=", usuario='"+myUser+"'";
			
							sql+=", estado='Realizada'";
							sql+=", vendedor='"+cliente+"'";
							sql+=", recibe='"+recibir+"'";
							///sql+=", actualizacion='Remesa realizada y validada por '";
			
		

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
		  
	          
               get_ultimo();
			   

      }else{
          alert(data);
		  $("#btn_aceptar").show()

      }

    })
}



var comision_cliente = 0;
function get_cliente(c){
	  var sql="select * from clientes where nombre='"+ c +"'";
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
                for( var i in rs.data){         
                    var id = rs.data[i].id;
			       comision_cliente = rs.data[i].comision;
			       localStorage.setItem("cliente", rs.data[i].nombre);
				  

                  }
            })
}





function get_ultimo(){
	  var sql="select * from recargas where usuario='"+ myUser +"' order by id desc limit 1";
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
                for( var i in rs.data){         
                    var id = rs.data[i].id;
					 balanceAcliente(id);
					  
			  

                  }
            })
}



function limpiar(){
				$("input[type='number']").val("") 
			 $('#cliente').val("").trigger('change.select2');
			 localStorage.setItem("cliente","");
}



function imprimir(id){
		$.get("recibo.php?id="+id,function(data,st){
		if(st=="success"){
		
			$("#recibo1").html(data);
		/////window.location='printerplus://send?text='+document.getElementById('recibo').innerHTML;
			 $("input[type='number']").val("") 
			 ////$('#cliente').val("").trigger('change.select2');
			  $("#btn_aceptar").show()
			///alert("pago registrado RD$: "+total);
			window.location.reload();
			
	$("#btngrabar").show()
	$("#btnConfirmar").show()

		}
	})
}



</script>


<?php
 include_once '../footer.php';

?>